阿里云服务器(Aliyun Linux 2.1903)无法使用yum命令-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

阿里云服务器(Aliyun Linux 2.1903)无法使用yum命令

游客mwa7bthmkk62s 2020-09-14 15:32:48 485

图片.png

Linux
分享到
取消 提交回答
全部回答(1)
  • 赵文宇
    2020-09-16 01:32:08

    问题解析:

    • 1、no module named yum 这种报错出现在Aliyun Linux系统,也会出现在Redhat/CentOS等使用yum的系统中。这种错误比较常见

    • 2、yum是使用python开发的

    原因分析:

    大概率情况下是因为升级了python版本,比如安装了python3,默认的yum命令使用默认的python路径指向新的python 库了,导致找不到yum模块了

    解决方案:

    1、回退

    2、which yum 查找到yum命令路径;which python2 查找Python2的路径 。修改yum第一行的python路径为老的python2命令的路径

    0 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程